> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an approved payment plan

> Create an approved payment plan



## OpenAPI

````yaml /openapi3.json post /v1/payment_plans
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/payment_plans:
    post:
      tags:
        - payment_plans
      summary: Create an approved payment plan
      description: Create an approved payment plan
      operationId: postV1PaymentPlans
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/postV1PaymentPlans'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/postV1PaymentPlans'
        required: true
      responses:
        '201':
          description: Created payment plan
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_V1_PaymentPlanEntity'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: Access not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    postV1PaymentPlans:
      type: object
      properties:
        administration_id:
          type: string
          description: Administration identifier
        cc_email_address:
          type: string
          description: Email address to send a copy of the payment plan
        invoice_numbers:
          type: array
          description: List of invoices by invoice_number to include in the payment plan
          items:
            type: string
        invoice_identifiers:
          type: array
          description: List of invoices by invoice_identifier to include
          items:
            type: string
        credit_case_numbers:
          type: array
          description: List of credit cases by credit_case_number to include
          items:
            type: string
        terms:
          type: array
          description: List of terms for payment plan
          items:
            type: object
            properties:
              amount:
                type: number
                format: double
                description: Amount to pay
              due_date:
                type: string
                format: date
                description: Due date of the payment
            required:
              - amount
              - due_date
      required:
        - administration_id
        - terms
      description: Create an approved payment plan
    CustomerApi_V1_PaymentPlanEntity:
      type: object
      properties:
        payment_terms:
          type: array
          items:
            $ref: '#/components/schemas/CustomerApi_V1_PlannedPaymentEntity'
          description: Payment terms
        active:
          type: boolean
          description: Whether the payment plan is active
        auto_activated:
          type: boolean
          description: Whether the payment plan was auto-activated
        reason:
          type: string
          description: Reason for proposing payment plan provided by debtor
        rejected_by_user:
          allOf:
            - $ref: '#/components/schemas/CustomerApi_V1_UserEntity'
          description: User who rejected the proposed payment plan
        administration_id:
          type: string
          description: Owning administration identifier
        debtor_id:
          type: string
          description: Associated debtor identifier
        id:
          type: string
          description: Unique identifier
        approved_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was approved
        created_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was created
        deactivated_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was deactivated
        updated_at:
          type: string
          format: date-time
          description: Timestamp at which the payment_plan was last updated
        proposed_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was proposed
        rejected_at:
          type: string
          format: date-time
          description: Timestamp at which the payment plan was rejected
        public_url:
          type: string
          description: Link to the debtor portal (request with the 'fields' parameter)
      required:
        - auto_activated
        - administration_id
        - debtor_id
        - id
        - created_at
        - updated_at
      description: CustomerApi_V1_PaymentPlanEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
    CustomerApi_V1_PlannedPaymentEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        total_amount:
          type: string
          description: Total amount
        amount_due:
          type: string
          description: Amount due
        due_date:
          type: string
          description: Due date
        payment_date:
          type: string
          description: Date the payment term was fully paid
      required:
        - id
        - total_amount
        - amount_due
        - due_date
        - payment_date
    CustomerApi_V1_UserEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        name:
          type: string
          description: Name
        email_address:
          type: string
          description: Email address
      required:
        - id
        - name
        - email_address
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````